base_settings:
  audio_codec: nvidia/nemo-nano-codec-22khz-0.6kbps-12.5fps
  num_readers: 8
  qsize: 100000
  OUT_DIR: shards_new_clips
  gzip_level: 1
  buffer_size: 16777216
  lines_per_file: 50000
  load_dataset_num_proc: 10

speaker_embedding_settings:
  add_speaker_emb: false

hf_datasets:
  - name: /home/ubuntu/soprano_data/new_clips_dataset
    sub_name: null
    split: train
    text_column_name: text
    audio_column_name: audio
    speaker_column_name: speaker
    add_constant:
      - key: lang_tag
        value: hi

save_settings:
  local: train_dataset_new_clips
  hf_upload: null
